<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submissions_panel.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."submissions_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."submissions_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."submissions_panel/locale/English.php";
}

$show_panel = 1;
$show_all = 0;
$d_show_auto = 1;
$d_show_manu = 0;
$c_show_auto = 1;
$c_show_manu = 0;

if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
	$count_n = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='n'");
	$count_a = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='a'");
	$count_l = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='l'");
	$count_p = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type='p'");
	$count_all = $count_n + $count_a + $count_l + $count_p;
	
if ($show_all == 0) {
	if ($count_n == 0) { $show_n = 0; } else { $show_n = 1; };
	if ($count_a == 0) { $show_a = 0; } else { $show_a = 1; };
	if ($count_l == 0) { $show_l = 0; } else { $show_l = 1; };
	if ($count_p == 0) { $show_p = 0; } else { $show_p = 1; };
} else {
	$show_n = 1;
	$show_a = 1;
	$show_l = 1;
	$show_p = 1;
}
	
if ($show_panel == 0) {
	if ($count_all == 0) { $show_panel = 0; } else { $show_panel = 1; }
}

if ($show_panel == 1) {
openside($locale['subm00']);
echo "<table align='center' cellpadding='0' cellspacing='0' width='90%'>";

if ($show_n == 1){
	echo "<tr><td>".$locale['subm02'].": </td>
	<td align='right'>";
	if ($count_n != 0) { echo "<font color='red'><b>".$count_n."</b></font>"; } else { echo $count_n; }
	echo "</td></tr>";
}

if ($show_a == 1){
	echo "<tr><td>".$locale['subm03'].": </td>
	<td align='right'>";
	if ($count_a != 0) { echo "<font color='red'><b>".$count_a."</b></font>"; } else { echo $count_a; }
	echo "</td></tr>";
}

if ($show_l == 1){
	echo "<tr><td>".$locale['subm04'].": </td>
	<td align='right'>\n";
	if ($count_l != 0) { echo "<font color='red'><b>".$count_l."</b></font>"; } else { echo $count_l; }
	echo "</td></tr>";
}

if ($show_p == 1){
	echo "<tr><td>".$locale['subm05'].": </td>
	<td align='right'>\n";
	if ($count_p != 0) { echo "<font color='red'><b>".$count_p."</b></font>"; } else { echo $count_p; }
	echo "</td></tr>";
}

echo "</table>";

if($show_all == 0 AND $count_all == 0) {
	echo "<br><center>".$locale['subm08']."</center>"; } else {
		if (checkrights("SU")){
			echo "<br><center><a href='".ADMIN."submissions.php".$aidlink."'>".$locale['subm01']."</a></center>";
			} else { echo $locale['subm01']."<br>";
		}
	}

closeside();
}
}
?>